<template>
	
	<date-picker v-model="datetime" 
		type="datetime" 
		input-class="form-control w-100"
		placeholder="Fecha y hora"
		format="DD-MM-YYYY hh:mm a"
		:minute-step="5"
		:input-attr="{name:'start_at'}"
		lang="es" />

</template>

<script>

	import DatePicker from 'vue2-datepicker';
	import 'vue2-datepicker/index.css';
	import 'vue2-datepicker/locale/es';

	export default {

		props: ['date'],

		components: {
			DatePicker
		},

		computed: {

			datetime: {

				get(){

					return new Date(this.date);

				},

				set(new_value){

					this.date = new_value;

				}

			}

		},
		
	}

</script>